JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TextLayout::Glyph Class Reference
juce_graphics » fonts

A positioned glyph. More...

`#include <juce_TextLayout.h>`

## Public Member Functions
| Glyph (int glyphCode, Point< float > anchor, float width) noexcept

## Public Attributes
int | glyphCode
| The code number of this glyph.
Point< float > | anchor
| The glyph's anchor point - this is relative to the line's origin.
float | width

## Detailed Description

A positioned glyph.

## Constructor & Destructor Documentation

## ◆ Glyph()

TextLayout::Glyph::Glyph | ( | int | glyphCode,
|  | Point< float > | anchor,
|  | float | width )
| noexcept

## Member Data Documentation

## ◆ glyphCode

int TextLayout::Glyph::glyphCode

The code number of this glyph.

## ◆ anchor

Point<float> TextLayout::Glyph::anchor

The glyph's anchor point - this is relative to the line's origin.

See also
  TextLayout::Line::lineOrigin

## ◆ width

float TextLayout::Glyph::width

The documentation for this class was generated from the following file:

- juce_TextLayout.h